Skip to main content
`Ctrl`+`K`

# PetscObjectComposedDataGetInt

retrieve `PetscInt` data attached to a `PetscObject` `PetscObjectComposedDataSetInt()`

## Synopsis

    #include "petsc/private/petscimpl.h"
    PetscErrorCode PetscObjectComposedDataGetInt(PetscObject obj, PetscInt id, PetscInt data, PetscBool flag)

Not Collective

## Input Parameters

- obj - the object from which data is to be retrieved

- id - the identifier for the data

## Output Parameters

- data - the data to be retrieved, a `PetscInt`

- flag - `PETSC_TRUE` if the data item exists and is valid, `PETSC_FALSE` otherwise

## Notes

The `data` and `flag` variables are inlined, so they are not pointers.

## See Also

`PetscObjectComposedDataSetInt()`, `PetscObjectComposedDataGetReal()`, `PetscObjectComposedDataSetReal()`, `PetscObjectComposedDataGetIntstar()`, `PetscObjectComposedDataSetIntstar()`, `PetscObject`, `PetscObjectCompose()`, `PetscObjectQuery()`

## Level

developer

## Location

include/petsc/private/petscimpl.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages